PETSc version 3.15.5
Fix/Edit manual page

# DMMoabVecRestoreArray

Restores the read-only direct access array obtained via DMMoabVecGetArray

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecRestoreArrayRead(DM dm, Vec vec, void* array)

Collective

### Input Parameter

| dm | - The DMMoab object being set
| vec | - The Vector whose underlying data is requested
| array | - The local data array

### See Also

DMMoabVecGetArrayRead(), DMMoabVecGetArray(), DMMoabVecRestoreArray()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbvec.cxx

### Examples

src/ts/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages